Name:         qps
License:      GPL
Autoreqprov:  on
Group:        System/Monitoring
Version:      1.9.18.1
Release:      1
Source:       %{name}-%{version}.tar.gz
#Source1:      qps.desktop
URL:          http://qps.kldp.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Visual process status monitor

BuildRequires:  desktop-file-utils
BuildRequires:  qt-devel

%description
Qps is a GUI version of "ps" or "top".

%prep
# -D :  dont recompiling !
%setup -D -q

%build
qmake
make

%install
rm -rf %{buildroot}
install -D -p -m 0755 -s qps %{buildroot}%{_bindir}/qps
install -D -p -m 0644 qps.1 %{buildroot}%{_mandir}/man1/qps.1
install -D -p -m 0644 icon/icon.xpm %{buildroot}%{_datadir}/pixmaps/qps.xpm
desktop-file-install --vendor qps  --dir %{buildroot}%{_datadir}/applications	qps.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root,-)
%doc CHANGES README_INSTALL COPYING
%{_bindir}/qps
%{_datadir}/applications/qps.desktop
%{_datadir}/pixmaps/qps.xpm
%{_mandir}/man1/qps.1*

%changelog -n qps
* Sun Nov 13 2005 - fasthyun@magicn.com
- release 1.9.15
